com.intellectualcrafters.plot.util

## Class StringComparison

- java.lang.Object
- - com.intellectualcrafters.plot.util.StringComparison

-     public class StringComparison
      extends java.lang.Object

  String comparison library

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringComparison(java.lang.String input, java.lang.Object[] objects)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `compare(java.lang.String s1, java.lang.String s2)` Compare two strings
    `java.lang.String` | `getBestMatch()` Get the best match value
    `java.lang.Object[]` | `getBestMatchAdvanced()` Will return both the match number, and the actual match string
    `java.lang.Object` | `getMatchObject()` Get the object
    `static java.lang.String[]` | `sLetterPair(java.lang.String s)` Get an array containing letter pairs
    `static java.util.ArrayList` | `wLetterPair(java.lang.String s)` Create an ArrayList containing pairs of letters

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringComparison

          public StringComparison(java.lang.String input,
                          java.lang.Object[] objects)

      Constructor
      Parameters:
        `input` - Input Base Value
        `objects` - Objects to compare

  - ### Method Detail

    - #### compare

          public static double compare(java.lang.String s1,
                       java.lang.String s2)

      Compare two strings
      Parameters:
        `s1` - String Base
        `s2` - Object
      Returns:
        match

    - #### wLetterPair

          public static java.util.ArrayList wLetterPair(java.lang.String s)

      Create an ArrayList containing pairs of letters
      Parameters:
        `s` - string to split
      Returns:
        ArrayList

    - #### sLetterPair

          public static java.lang.String[] sLetterPair(java.lang.String s)

      Get an array containing letter pairs
      Parameters:
        `s` - string to split
      Returns:
        Array

    - #### getMatchObject

          public java.lang.Object getMatchObject()

      Get the object
      Returns:
        match object

    - #### getBestMatch

          public java.lang.String getBestMatch()

      Get the best match value
      Returns:
        match value

    - #### getBestMatchAdvanced

          public java.lang.Object[] getBestMatchAdvanced()

      Will return both the match number, and the actual match string
      Returns:
        object[] containing: double, String